Crash on launch with an AMD CPU

The vast majority of current AMD processors that fall within the system requirements should allow you to run the game. However, like many games released recently, Far Cry 5 requires a processor that support the SSE4.1 instruction set (or higher). 

If the game crashes on launch on your computer, we would suggest as a first step to check that your AMD processor supports this instruction set. You should be able to find out by simply entering the name of your processor and SSE4.1 in any search engine. You can also find a list of the supported AMD processor families that support this instruction set in this article.  Of course, don't hesitate to get in touch with our support team if you need assistance with this process.

If you are certain your processor meets this requirement, we would suggest trying our basic PC troubleshooting guide.

Should you still be unable to get your game to run, please get in touch with us. We will do our best to correct the situation.

 

Associated Platforms

WAS THIS HELPFUL?

Thanks for your feedback. Thanks for your feedback. Sorry that didn't help.
Please submit a support ticket and tell us how we can help you.